<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ReplyBootButton extends Model
{
    use HasFactory;
    protected $fillable  = [
        'boot_button_id',
        'name',
        'button_title',
    ];

    public function boot_button()
    {
        return $this->belongsTo(BootButton::class,'boot_button_id');
    }

    public function chat_boot_button()
    {
        return $this->hasOne(ChatBootReply::class,'reply_boot_button_id');
    }
}
