<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('reply_boot_lists', function (Blueprint $table) {
            $table->id();
            $table->foreignId('boot_list_id')->nullable()->constrained('boot_lists')->cascadeOnUpdate()->cascadeOnDelete();
            $table->string('name');
            $table->text('title')->nullable();
            $table->text('description')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('reply_boot_lists');
    }
};
