<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use App\Models\Client;
use App\Models\employee;
use App\Models\subscriber;
use Carbon\Carbon;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $this->call(AdminSeeder::class);

        Client::create([
            'user_id' => null,
            'subscriber_id' => subscriber::first()->id,
            'employee_id' => employee::first()->id,
            'status_id' => 3,
            'name' => 'احمد حماده',
            'phone' => "201111289180",
            'status_boot' => "active",
            'start_date' => Carbon::now(),
        ]);

    }
}
