@extends('admin.layouts.master')


@section('title')
    تعديل البيانات
@endsection

@section('css')


@endsection


@section('content-header')
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">تعديل البيانات</h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item active">تعديل البيانات</li>
                    </ol>
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
@endsection


@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">


                    <div class="card-body">
                        @include('admin.messages')

                        <form action="{{route('ButtonBoot.update','test')}}" method="post" autocomplete="off">
                            @csrf
                            @method('PUT')

                            <input type="hidden" name="id" value="{{$data->id}}">

                            <div class="row">
                                <div class="col">
                                    <label>اسم البوتن</label>
                                    <input type="text" name="name" value="{{$data->name}}" required class="form-control">
                                </div>

                            </div>

                            <br>

                            <div class="row">
                                <div class="col">
                                    <label>محتوي البوتن</label>
                                    <textarea class="form-control" name="button_text" required rows="5">
                                        {{$data->button_text}}
                                    </textarea>
                                </div>

                            </div>

                            <br>

                            <div class="row">
                                <div class="col">
                                    <button class="btn btn-success">حفظ البيانات</button>
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection


@section('js')

@endsection
