<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="{{route('admin.index')}}" class="brand-link">
        <img src="{{asset('dash/dist/img/AdminLTELogo.png')}}" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
             style="opacity: .8">
        <span class="brand-text font-weight-light">
            شات بوت واتس اب
        </span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
        <!-- Sidebar user panel (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                <img src="{{asset('dash/dist/img/user2-160x160.jpg')}}" class="img-circle elevation-2" alt="User Image">
            </div>
            <div class="info">
                <a href="{{route('admin.index')}}" class="d-block">{{Auth::user()->name}}</a>
            </div>
        </div>

        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">


                <li class="nav-item ">
                    <a href="{{route('admin.index')}}" class="nav-link {{request()->routeIs('admin.index') ? ' active' : null}}">
                        <i class="nav-icon fas fa-home"></i>
                        <p>
                            الصفحه الرئسيه
                        </p>
                    </a>
                </li>


                <li class="nav-item has-treeview {{request()->routeIs(['channels.*','status.*','channels_messages.*','get_channels_messages.*']) ? ' menu-open' : null}}">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-cog"></i>
                        <p>
                            الاعدادات الرئسيه
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item ">
                            <a href="{{route('channels.index')}}" class="nav-link {{request()->routeIs(['channels.*','channels_messages.*','get_channels_messages.*']) ? ' active' : null}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> القنوات</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{{route('status.index')}}" class="nav-link {{request()->routeIs('status.index') ? ' active' : null}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> الحالات</p>
                            </a>
                        </li>



                    </ul>
                </li>

                <li class="nav-item has-treeview {{request()->routeIs('admin.subscription.*') ? ' menu-open' : null}}">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-sign"></i>
                        <p>
                            المشتركين
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="{{route('admin.subscription.index')}}" class="nav-link {{request()->routeIs('admin.subscription.index') ? ' active' : null}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> جميع المشتركين</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{{route('admin.subscription.create')}}" class="nav-link {{request()->routeIs('admin.subscription.create') ? ' active' : null}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> انشاء مشترك جديد</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item has-treeview {{request()->routeIs('employees.*') ? ' menu-open' : null}}">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-ad"></i>
                        <p>
                            الموظفين
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="{{route('employees.index')}}" class="nav-link {{request()->routeIs('employees.index') ? ' active' : null}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> جميع الموظفين</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{{route('employees.create')}}" class="nav-link {{request()->routeIs('employees.create') ? ' active' : null}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> انشاء موظف جديد</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item has-treeview {{request()->routeIs('clients.*') ? ' menu-open' : null}}">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-user"></i>
                        <p>
                            العملاء
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="{{route('clients.index')}}" class="nav-link {{request()->routeIs('clients.index') ? ' active' : null}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> جميع العملاء</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{{route('clients.create')}}" class="nav-link {{request()->routeIs('clients.create') ? ' active' : null}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> انشاء عميل جديد</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item has-treeview {{request()->routeIs(['listBoot.*','ButtonBoot.*','ReplyMessage.*','chatBoot.*']) ? ' menu-open' : null}}">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-chalkboard-teacher"></i>
                        <p>
                            الشات بوت
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="{{route('listBoot.index')}}" class="nav-link {{ request()->routeIs(['listBoot.*', 'ReplyListBoot.*']) ? 'active' : '' }}">
                                <i class="far fa-circle nav-icon"></i>
                                <p>انشاء  لست</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{{route('ButtonBoot.index')}}" class="nav-link {{ request()->routeIs(['ButtonBoot.*', 'ReplyButtonBoot.*']) ? 'active' : '' }}">

                            <i class="far fa-circle nav-icon"></i>
                                <p> انشاء  بوتين</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{{route('ReplyMessage.index')}}" class="nav-link {{ request()->routeIs('ReplyMessage.*') ? 'active' : '' }}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> جميع الردود</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{{route('chatBoot.index')}}" class="nav-link {{ request()->routeIs('chatBoot.*') ? 'active' : '' }}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> انشاء البوت</p>
                            </a>
                        </li>


                    </ul>
                </li>

                <li class="nav-item has-treeview {{request()->routeIs('connectBot.*') ? ' menu-open' : null}}">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-eye-dropper"></i>
                        <p>
                            خصائص البوت
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="{{route('connectBot.index')}}" class="nav-link {{ request()->routeIs('connectBot.*') ? 'active' : '' }}">
                                <i class="far fa-circle nav-icon"></i>
                                <p>ربط بوت مع قناه</p>
                            </a>
                        </li>

                    </ul>
                </li>

                <li class="nav-item has-treeview {{request()->routeIs('apiWork.*') ? ' menu-open' : null}}">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-anchor"></i>
                        <p>
                            مميزات اضافيه
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="{{route('apiWork.index')}}" class="nav-link {{request()->routeIs('apiWork.*') ? 'active' : ''}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p>استخراج Api من السسيتم</p>
                            </a>
                        </li>

                    </ul>
                </li>

                <li class="nav-item has-treeview {{request()->routeIs(['get_status','post_status','get_subscription','post_subscription','get_employee','post_employee','get_chanel','post_chanel']) ? ' menu-open' : ''}}">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-reply"></i>
                        <p>
                            التقرير
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="{{route('get_status')}}" class="nav-link {{request()->routeIs(['get_status','post_status']) ? 'active' : ''}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> تقرير عن الحالات</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{{route('get_subscription')}}" class="nav-link {{request()->routeIs(['get_subscription','post_subscription']) ? 'active' : ''}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> تقرير عن المشتركين</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{route('get_employee')}}" class="nav-link {{request()->routeIs(['get_employee','post_employee']) ? 'active' : ''}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> تقرير عن الموظفين</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{{route('get_chanel')}}" class="nav-link {{request()->routeIs(['get_chanel','post_chanel']) ? 'active' : ''}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p> تقرير عن القنوات</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item has-treeview {{request()->routeIs(['templates.*','uploadFile']) ? ' menu-open' : ''}}">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-anchor"></i>
                        <p>
                            الحملات التسوقيه
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="{{route('templates.index')}}" class="nav-link {{request()->routeIs('templates.*') ? ' active' : ''}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p>تسجيل template جديده</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="{{route('uploadFile')}}" class="nav-link {{request()->routeIs('uploadFile') ? ' active' : ''}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p>رفع البيانات</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item has-treeview {{request()->routeIs('chanelEmployee.*') ? ' menu-open' : null}}">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-anchor"></i>
                        <p>
                            تعينات
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="{{route('chanelEmployee.index')}}" class="nav-link {{request()->routeIs('chanelEmployee.*') ? 'active' : ''}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p>تعينات قناه الي موظف</p>
                            </a>
                        </li>

                    </ul>
                </li>

                <li class="nav-item has-treeview {{request()->routeIs('backup.*') ? ' menu-open' : null}}">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-anchor"></i>
                        <p>
                            نسخ احتياطي
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="{{route('backup')}}" class="nav-link {{request()->routeIs('backup.*') ? 'active' : ''}}">
                                <i class="far fa-circle nav-icon"></i>
                                <p>نسخ احتياطي </p>
                            </a>
                        </li>

                    </ul>
                </li>




                <br>

                <li class="nav-item">

                        <form method="POST" action="{{ route('logout') }}">
                            @csrf

                            <x-dropdown-link :href="route('logout')"
                                             onclick="event.preventDefault();
                                                this.closest('form').submit();" >
                                <i class="nav-icon fas fa-sign-out-alt"></i>

                                <span style="font-size: 17px">  تسجيل الخروج</span>
                            </x-dropdown-link>
                        </form>



                </li>


            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>
