<?php $__env->startSection('title'); ?>
    تقرير عن الحالات
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>


<?php $__env->stopSection(); ?>


<?php $__env->startSection('content-header'); ?>
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">تقرير عن الحالات</h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item active">تقرير عن الحالات</li>
                    </ol>
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <form action="<?php echo e(route('post_status')); ?>" method="post">
                            <?php echo csrf_field(); ?>

                            <div class="row">
                                <div class="col">
                                    <label>الحالات</label>
                                    <select class="form-control" name="status_id" required>
                                        <option value="" disabled selected>-- اختر من القائمه --</option>
                                        <?php $__currentLoopData = getStatusData(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($row->id); ?>" <?php echo e(isset($data) && $row->id == $status ? 'selected' : null); ?>><?php echo e($row->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <br>

                            <div class="row">
                                <div class="col">
                                    <label>تاريخ البدايه</label>
                                    <input type="datetime-local" name="start_data" class="form-control" value="<?php echo e(isset($data)  ? $start_data  : null); ?>" required>
                                </div>

                                <div class="col">
                                    <label>تاريخ النهايه</label>
                                    <input type="datetime-local" name="end_data" class="form-control" value="<?php echo e(isset($data)  ? $end_data  : null); ?>" required>
                                </div>
                            </div>

                            <br>


                            <div class="row">
                                <div class="col">
                                    <button class="btn btn-success">بحث</button>
                                </div>
                            </div>

                        </form>
                    </div>
                    <hr>

                    <div class="card-body">
                        <?php if(isset($data)): ?>
                            <div class="row">
                                <div class="col">
                                    <button type="button" class="btn btn-info" id="btn_delete_all">
                                        ارسال رساله خاصه
                                    </button>
                                </div>

                                <div class="col">
                                    <button type="button" class="btn btn-success">
                                        عدد العملاء <?php echo e($data->count()); ?>

                                    </button>
                                </div>
                            </div>
                      
                            <br>

                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>
                                        <input name="select_all" id="example-select-all" type="checkbox"
                                               onclick="CheckAll('box1', this)"/>

                                        <label class="form-check-label"
                                               for="example-select-all">
                                            تحديد الكل
                                        </label>
                                    </th>

                                    <th>اسم العميل</th>
                                    <th>رقم العميل</th>

                                    <th>القناه المشترك فيها</th>
                                    <th>حاله العميل</th>
                                    
                                    <th>شاشه المحادثه</th>
                                    <th>اسم المشرتك</th>

                                    <th>العمليات</th>

                                </tr>
                                </thead>

                                <tbody>
                                <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                    <tr>
                                        <td><?php echo e($loop->index+1); ?></td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input checkbox-item box1" type="checkbox" name="exampleRadios" id="exampleRadios1_<?php echo e($row->uuid); ?>" value="<?php echo e($row->uuid); ?>">
                                                <label class="form-check-label" for="exampleRadios1_<?php echo e($row->uuid); ?>">
                                                    تحديد
                                                </label>
                                            </div>
                                        </td>
                                        <td><?php echo e($row->name); ?></td>
                                        <td><?php echo e($row->phone); ?></td>

                                        <td><?php echo e($row->channel->name ?? null); ?></td>
                                        <td><?php echo e($row->status->name ?? null); ?></td>
                                        <td>
                                            <a  href="<?php echo e(route('clients.show',$row->uuid)); ?>">
                                                <span class="badge badge-danger"><?php echo e($row->messages_count_noTread()); ?></span>
                                                <img src="<?php echo e(asset('dash/whatsapp.png')); ?>" width="28px" height="28px" alt="">
                                            </a>


                                        </td>
                                        <td><?php echo e($row->subscriber->name ?? 'الاداراه'); ?></td>


                                        <td>
                                            <div class="dropdown">
                                                <button class="btn btn-success btn-sm dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                    العمليات
                                                </button>
                                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                    <a class="dropdown-item" href="<?php echo e(route('clients.edit',$row->uuid)); ?>"> <i class="fa fa-edit text-success mr-2"></i> تعديل </a>
                                                    <a class="dropdown-item" href="#" data-toggle="modal" data-target="#delete<?php echo e($row->uuid); ?>"> <i class="fa fa-trash text-danger mr-2"></i> حذف </a>
                                                    <a class="dropdown-item" href="#" data-toggle="modal" data-target="#sendboot<?php echo e($row->uuid); ?>"> <i class="fa fa-car-battery text-info mr-2"></i> ارسال بوت </a>
                                                    <?php if(!auth('employee')->check()): ?>
                                                        <a class="dropdown-item" href="#" data-toggle="modal" data-target="#change<?php echo e($row->uuid); ?>"> <i class="fa fa-reply text-info mr-2"></i> تحويل العميل </a>

                                                    <?php endif; ?>
                                                    <a class="dropdown-item" href="#" data-toggle="modal" data-target="#changeStatus<?php echo e($row->uuid); ?>"> <i class="fa fa-venus-mars text-info mr-2"></i> تغير حاله العميل </a>
                                                </div>
                                            </div>

                                        </td>
                                        <?php echo $__env->make('admin.clients.sendboot', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        <?php echo $__env->make('admin.clients.deleted', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        <?php echo $__env->make('admin.clients.change', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        <?php echo $__env->make('admin.clients.changeStatus', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </tr>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                </tbody>
                            </table>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="delete_all" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel" style="font-family: 'Cairo', sans-serif;">ارسال </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="<?php echo e(route('sendNewMessages')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <input  type="hidden" id="delete_all_id" name="delete_all_id" value=''>

                        <div class="row">
                            <div class="col">
                                <label>اسم القناه</label>
                                <select class="form-control" name="whatsapp_id" required>
                                    <option value="" disabled selected>-- اختر اسم القناه  --</option>
                                    <?php $__currentLoopData = getInformationData('channel'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ClientWhatsapp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($ClientWhatsapp->id); ?>"><?php echo e($ClientWhatsapp->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>

                        <br>

                        <div class="row">
                            <div class="col">
                                <label>نوع الرسالة</label>
                                <select class="form-control" name="type" required onchange="handleAjaxResponse()" id="typeStatus">
                                    <option value="" disabled selected>-- اختر نوع الرد --</option>
                                    <option value="button">بوت</option>
                                    <option value="message">رساله خاصه</option>
                                </select>
                            </div>
                        </div>

                        <br>

                        <div class="row" id="button" style="display: none;">
                            <div class="col">
                                <label>قائمة الزر</label>
                                <select class="form-control" name="send_button_id">
                                    <option value="" disabled selected>-- اختر القائمة --</option>
                                    <?php $__currentLoopData = getInformationData('ReplyBoot'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $button): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($button->id); ?>"><?php echo e($button->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>

                        <br>

                        <div class="row" id="message" style="display: none;">
                            <div class="col">
                                <label>نص الرسالة</label>
                                <textarea class="form-control" name="messages" rows="5"></textarea>
                            </div>
                        </div>


                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">اغلاق</button>
                            <button type="submit" class="btn btn-primary">ارسال البيانات</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('js'); ?>
    <script>
        function CheckAll(className, elem) {
            var elements = document.getElementsByClassName(className);
            var l = elements.length;
            if (elem.checked) {
                for (var i = 0; i < l; i++) {
                    elements[i].checked = true;
                }
            } else {
                for (var i = 0; i < l; i++) {
                    elements[i].checked = false;
                }
            }
        }

        $(function () {
            $("#btn_delete_all").click(function () {
                var selected = new Array();
                $("#example1 input[type=checkbox]:checked").each(function () {
                    if (this.value !== 'on') { // تحقق من عدم وجود القيمة "on"
                        selected.push(this.value);
                    }
                });
                if (selected.length > 0) {
                    $('#delete_all').modal('show');
                    $('input#delete_all_id').val(selected);
                } else {
                    alert('لم يتم تحديد أي شيء');
                }
            });
        });
    </script>


    <script>
        function handleAjaxResponse() {
            var selectedType = document.getElementById('typeStatus').value;

            var buttonDiv = document.getElementById('button');
            var messageDiv = document.getElementById('message');

            // Reset display properties for all divs
            buttonDiv.style.display = 'none';
            messageDiv.style.display = 'none';

            // Show the corresponding div based on the selected type
            if (selectedType === 'button') {
                buttonDiv.style.display = 'block';
            } else if (selectedType === 'message') {
                messageDiv.style.display = 'block';
            }
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\new\ApplcationWhatsapp\resources\views/admin/Reports/status.blade.php ENDPATH**/ ?>