
<!-- jQuery -->
<script src="<?php echo e(asset('dash/plugins/jquery/jquery.min.js')); ?>"></script>
<!-- jQuery UI 1.11.4 -->
<script src="<?php echo e(asset('dash/plugins/jquery-ui/jquery-ui.min.js')); ?>"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
    $.widget.bridge('uibutton', $.ui.button)
</script>
<!-- Bootstrap 4 rtl -->

<!-- Bootstrap 4 -->
<script src="<?php echo e(asset('dash/plugins/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
<!-- ChartJS -->
<script src="<?php echo e(asset('dash/plugins/chart.js/Chart.min.js')); ?>"></script>
<!-- Sparkline -->
<script src="<?php echo e(asset('dash/plugins/sparklines/sparkline.js')); ?>"></script>
<!-- JQVMap -->
<script src="<?php echo e(asset('dash/plugins/jqvmap/jquery.vmap.min.js')); ?>"></script>
<script src="<?php echo e(asset('dash/plugins/jqvmap/maps/jquery.vmap.world.js')); ?>"></script>
<!-- jQuery Knob Chart -->
<script src="<?php echo e(asset('dash/plugins/jquery-knob/jquery.knob.min.js')); ?>"></script>
<!-- daterangepicker -->
<script src="<?php echo e(asset('dash/plugins/moment/moment.min.js')); ?>"></script>
<script src="<?php echo e(asset('dash/plugins/daterangepicker/daterangepicker.js')); ?>"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="<?php echo e(asset('dash/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js')); ?>"></script>
<!-- Summernote -->
<script src="<?php echo e(asset('dash/plugins/summernote/summernote-bs4.min.js')); ?>"></script>
<!-- overlayScrollbars -->
<script src="<?php echo e(asset('dash/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js')); ?>"></script>
<script src="<?php echo e(asset('dash/bootstrap.min.js')); ?>"></script>
<!-- AdminLTE App -->
<script src="<?php echo e(asset('dash/dist/js/adminlte.js')); ?>"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="<?php echo e(asset('dash/dist/js/pages/dashboard.js')); ?>"></script>
<!-- AdminLTE for demo purposes -->
<script src="<?php echo e(asset('dash/dist/js/demo.js')); ?>"></script>
<!-- DataTables -->
<script src="<?php echo e(asset('dash/plugins/datatables/jquery.dataTables.js')); ?>"></script>
<script src="<?php echo e(asset('dash/plugins/datatables-bs4/js/dataTables.bootstrap4.js')); ?>"></script>
<script>
    $(function () {
        $("#example1").DataTable();
        $('#example2').DataTable({
            "paging": true,
            "lengthChange": false,
            "searching": false,
            "ordering": true,
            "info": true,
            "autoWidth": false,
        });
    });
</script>


<link rel="stylesheet" href="<?php echo e(asset('dash/sweetalert2.min.css')); ?>">
<script src="<?php echo e(asset('dash/sweetalert2.all.min.js')); ?>"></script>

<script>

    $(document).ready(function() {
        // Create an Audio element for the notification sound
        var notificationSound = new Audio('<?php echo e(asset("Notification - Notification.mp3")); ?>');

        var soundPlayed = false; // Initialize the soundPlayed variable

        function updateUnreadClientsDropdown() {
            $.ajax({
                url: '<?php echo e(route("getUnreadClients")); ?>',
                type: 'GET',
                dataType: 'json',
                success: function(data) {
                    var dropdownContent = '';

                    data.forEach(function(client) {
                        var base_url = '<?php echo e(route("clients.show", ":uuid")); ?>';
                        var clientLink = base_url.replace(':uuid', client.uuid);

                        dropdownContent += '<a href="' + clientLink + '" class="dropdown-item pl-5">';
                        dropdownContent += '<div class="media">';
                        dropdownContent += '<div class="media-body">';
                        dropdownContent += '<div class="row">';
                        dropdownContent += '<div class="col">';
                        dropdownContent += '<h3 class="dropdown-item-title">' + client.name + '</h3>';
                        dropdownContent += '</div>';
                        dropdownContent += '</div>';
                        dropdownContent += '</div>';
                        dropdownContent += '</div>';
                        dropdownContent += '</a>';
                    });

                    $('.dropdown-menu-xl').html(dropdownContent);

                    if (!soundPlayed && data.length > 0) {
                        // Play the notification sound if not played and new unread clients are found
                        notificationSound.play();
                        soundPlayed = true; // Mark the sound as played
                    }

                    $('#unread-count').text(data.length); // Update unread count
                }
            });
        }

        // Initial update of the dropdown
        updateUnreadClientsDropdown();

        // Set an interval to update the dropdown every X milliseconds
        setInterval(function() {
            updateUnreadClientsDropdown();
        }, 50000); // Update every 10 seconds (you can adjust this interval as needed)
    });





</script>
<?php echo $__env->yieldContent('js'); ?>
<?php /**PATH /home/arbitration/public_html/resources/views/admin/layouts/footerjs.blade.php ENDPATH**/ ?>