<?php $__env->startSection('title'); ?>
    الصفحة الرئيسية
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>


<?php $__env->stopSection(); ?>


<?php $__env->startSection('content-header'); ?>
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">المسئول</h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#">Home</a></li>
                        <li class="breadcrumb-item active">Dashboard v1</li>
                    </ol>
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
            <div class="col-lg-4 col-6">
                <!-- small box -->
                <div class="small-box bg-info">
                    <div class="inner">
                        <h3>عدد المشتركين</h3>

                        <p><?php echo e(getInformationData('subscriber')->count()); ?></p>
                    </div>

                </div>
            </div>
            <!-- ./col -->
            <div class="col-lg-4 col-6">
                <!-- small box -->
                <div class="small-box bg-success">
                    <div class="inner">
                        <h3>عدد القنوات</h3>

                        <p><?php echo e(getInformationData('channel')->count()); ?></p>
                    </div>

                </div>
            </div>
            <!-- ./col -->
            <div class="col-lg-4 col-6">
                <!-- small box -->
                <div class="small-box bg-warning">
                    <div class="inner">
                        <h3>عدد الموظفين</h3>

                        <p><?php echo e(getInformationData('employee')->count()); ?></p>
                    </div>

                </div>
            </div>
            <!-- ./col -->

            <!-- ./col -->
        </div>
        <!-- /.row -->
        <!-- Main row -->
        <br>

        <div class="row">
            <!-- Left col -->
            <section class="col-lg-6 connectedSortable">
                <div class="card direct-chat direct-chat-primary">
                    <div style="width:95%;">
                        <?php echo $chartjs->render(); ?>

                    </div>
                </div>

                <div class="card direct-chat direct-chat-primary">
                    <table id="example" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>اسم القناه</th>
                            <th>عدد جميع الرسائل</th>
                            <th>عدد الرسائل الغير موقوره</th>


                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = getInformationData('channel'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $channel): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->index+1); ?></td>
                                <td><?php echo e($channel->name); ?></td>
                                <td>
                                    <?php echo e(getInformationDataQquery('SingleMessages')->whereNotNull('channel_id')->where('channel_id', $channel->id)->count()); ?>

                                </td>
                                <td>
                                    <?php echo e(getInformationDataQquery('SingleMessages')->whereNotNull('channel_id')->where('channel_id',$channel->id)->where('status', 'noRead')->count()); ?>

                                </td>

                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                        </tbody>

                    </table>

                </div>


                <!-- /.card -->
            </section>
            <!-- /.Left col -->

            <!-- Left col -->
            <section class="col-lg-6 connectedSortable">
                <div style="width:95%;">
                    <?php echo $chartjs2->render(); ?>

                </div>
                <!-- /.card -->
            </section>
            <!-- /.Left col -->

        </div>
        <!-- /.row (main row) -->
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('js'); ?>
    <script>
        var data = <?php echo json_encode($data, 15, 512) ?>;
        Swal.fire(data).then((result) => {
            console.log('إشعار Swal تم إغلاقه');
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/arbitration/public_html/resources/views/admin/index.blade.php ENDPATH**/ ?>