<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChanelEmployee extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'subscriber_id',
        'channel_id',
        'employee_id',
        'status',
    ];


    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function subscriber()
    {
        return $this->belongsTo(User::class, 'subscriber_id');
    }

    public function channel()
    {
        return $this->belongsTo(channel::class, 'channel_id');
    }

    public function employee()
    {
        return $this->belongsTo(channel::class, 'employee_id');
    }
}
