<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class channel extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'subscriber_id',
        'number_id',
        'name',
        'token',
        'version',
    ];


    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
    public function subscriber()
    {
        return $this->belongsTo(subscriber::class, 'subscriber_id');
    }

}
