@extends('admin.layouts.master')


@section('title')
    رفع بيانات تسوقيه
@endsection

@section('css')


@endsection


@section('content-header')
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">رفع بيانات تسوقيه</h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item active">رفع بيانات تسوقيه</li>
                    </ol>
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
@endsection


@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form action="{{route('uploadFileInSystem')}}" method="post" autocomplete="off" enctype="multipart/form-data">
                            @csrf



                            <div class="mb-3 input-group">
                                <input type="file" id="validateCustomFile" required class="form-control" name="excel"
                                       accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel"
                                       aria-describedby="button-addon2">
                                <button class="btn btn-outline-success" style="font-family: 'Cairo', sans-serif;"
                                        type="submit">رفع بيانات
                                </button>
                                @error('excel')
                                <div class="alert alert-danger">{{ $message }}</div>
                                @enderror
                            </div>


                        </form>
                        <div id="status-message"></div>
                    </div>
                </div>
            </div>
        </div>
@endsection


@section('js')

@endsection
