@extends('admin.layouts.master')


@section('title')
اضافه مشترك جديد
@endsection

@section('css')


@endsection


@section('content-header')
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">اضافه مشترك جديد</h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{route('admin.index')}}">الصفحه الرئسيه</a></li>
                        <li class="breadcrumb-item active">اضافه مشترك جديد</li>
                    </ol>
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
@endsection


@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                @include('admin.messages')
                <form action="{{route('admin.subscription.store')}}" method="post" autocomplete="off">
                    @csrf

                    <div class="row">
                        <div class="col">
                            <label>اسم المشرتك</label>
                            <input type="text" name="name" required class="form-control">
                        </div>
                        <div class="col">
                            <label>رقم هاتف المشرتك</label>
                            <input type="number" name="phone" required class="form-control">
                        </div>
                    </div>

                    <br>

                    <div class="row">
                        <div class="col">
                            <label>البريد الالكتروني</label>
                            <input type="email" name="email" required class="form-control">
                        </div>

                        <div class="col">
                            <label>كلمه المرور</label>
                            <input type="password" name="password" required class="form-control">
                        </div>
                    </div>

                    <br>

                    <div class="row">
                        <div class="col">
                            <label>العنوان</label>
                            <input type="text" name="address" required class="form-control">
                        </div>

                        <div class="col">
                            <label>نوع الاشتراك</label>
                            <select class="form-control" name="type_subscribers" required>
                                <option value="" disabled selected>-- اختر من القائمه --</option>
                                <option value="years">سنوي</option>
                                <option value="Monthly">شهري</option>

                            </select>
                        </div>
                    </div>

                    <br>


                    <div class="row">
                        <div class="col">
                            <button class="btn btn-success">حفظ المشترك</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
@endsection


@section('js')

@endsection
