<!doctype html>
<html lang="en">
<head>
    <?php echo $__env->make('admin.layouts.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</head>
<body class="hold-transition sidebar-mini layout-fixed" style="font-family: 'Cairo', sans-serif;">
<div class="wrapper">
    <?php echo $__env->make('admin.layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php if(auth('web')->check()): ?>
        <?php echo $__env->make('admin.layouts.Sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php elseif(auth('subscriber')->check()): ?>
        <?php echo $__env->make('subscribertion.layouts.Sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php else: ?>
        <?php echo $__env->make('employee.layouts.Sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>

    <div class="content-wrapper">
        <?php echo $__env->yieldContent('content-header'); ?>

        <section class="content">
            <?php echo $__env->yieldContent('content'); ?>
        </section>
    </div>
    <?php echo $__env->make('admin.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</div>
<?php echo $__env->make('admin.layouts.footerjs', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</body>
</html>
<?php /**PATH /home/arbitration/public_html/resources/views/admin/layouts/master.blade.php ENDPATH**/ ?>