<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="<?php echo e(route('admin.index')); ?>" class="brand-link">
        <img src="<?php echo e(asset('dash/dist/img/AdminLTELogo.png')); ?>" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
             style="opacity: .8">
        <span class="brand-text font-weight-light">
            شات بوت واتس اب
        </span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
        <!-- Sidebar user panel (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                <img src="<?php echo e(asset('dash/dist/img/user2-160x160.jpg')); ?>" class="img-circle elevation-2" alt="User Image">
            </div>
            <div class="info">
                <a href="<?php echo e(route('admin.index')); ?>" class="d-block"><?php echo e(Auth::user()->name); ?></a>
            </div>
        </div>

        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">


                <li class="nav-item ">
                    <a href="<?php echo e(route('admin.index')); ?>" class="nav-link <?php echo e(request()->routeIs('admin.index') ? ' active' : null); ?>">
                        <i class="nav-icon fas fa-home"></i>
                        <p>
                            الصفحة الرئيسية
                        </p>
                    </a>
                </li>


                <li class="nav-item has-treeview <?php echo e(request()->routeIs(['channels.*','status.*','channels_messages.*','get_channels_messages.*']) ? ' menu-open' : null); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-cog"></i>
                        <p>
                            الأعدادات الرئيسية
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item ">
                            <a href="<?php echo e(route('channels.index')); ?>" class="nav-link <?php echo e(request()->routeIs(['channels.*','channels_messages.*','get_channels_messages.*']) ? ' active' : null); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> القنوات</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('status.index')); ?>" class="nav-link <?php echo e(request()->routeIs('status.index') ? ' active' : null); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> الحالات</p>
                            </a>
                        </li>



                    </ul>
                </li>

                <li class="nav-item has-treeview <?php echo e(request()->routeIs('admin.subscription.*') ? ' menu-open' : null); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-sign"></i>
                        <p>
                            المشتركين
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.subscription.index')); ?>" class="nav-link <?php echo e(request()->routeIs('admin.subscription.index') ? ' active' : null); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> جميع المشتركين</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.subscription.create')); ?>" class="nav-link <?php echo e(request()->routeIs('admin.subscription.create') ? ' active' : null); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> انشاء مشترك جديد</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item has-treeview <?php echo e(request()->routeIs('employees.*') ? ' menu-open' : null); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-ad"></i>
                        <p>
                            الموظفين
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('employees.index')); ?>" class="nav-link <?php echo e(request()->routeIs('employees.index') ? ' active' : null); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> جميع الموظفين</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('employees.create')); ?>" class="nav-link <?php echo e(request()->routeIs('employees.create') ? ' active' : null); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> انشاء موظف جديد</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item has-treeview <?php echo e(request()->routeIs('clients.*') ? ' menu-open' : null); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-user"></i>
                        <p>
                            العملاء
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('clients.index')); ?>" class="nav-link <?php echo e(request()->routeIs('clients.index') ? ' active' : null); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> جميع العملاء</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('clients.create')); ?>" class="nav-link <?php echo e(request()->routeIs('clients.create') ? ' active' : null); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> انشاء عميل جديد</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item has-treeview <?php echo e(request()->routeIs(['listBoot.*','ButtonBoot.*','ReplyMessage.*','chatBoot.*']) ? ' menu-open' : null); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-chalkboard-teacher"></i>
                        <p>
                            الشات بوت
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('listBoot.index')); ?>" class="nav-link <?php echo e(request()->routeIs(['listBoot.*', 'ReplyListBoot.*']) ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p>انشاء  لست</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('ButtonBoot.index')); ?>" class="nav-link <?php echo e(request()->routeIs(['ButtonBoot.*', 'ReplyButtonBoot.*']) ? 'active' : ''); ?>">

                            <i class="far fa-circle nav-icon"></i>
                                <p> انشاء  بوتين</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('ReplyMessage.index')); ?>" class="nav-link <?php echo e(request()->routeIs('ReplyMessage.*') ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> جميع الردود</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('chatBoot.index')); ?>" class="nav-link <?php echo e(request()->routeIs('chatBoot.*') ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> انشاء البوت</p>
                            </a>
                        </li>


                    </ul>
                </li>

                <li class="nav-item has-treeview <?php echo e(request()->routeIs('connectBot.*') ? ' menu-open' : null); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-eye-dropper"></i>
                        <p>
                            خصائص البوت
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('connectBot.index')); ?>" class="nav-link <?php echo e(request()->routeIs('connectBot.*') ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p>ربط بوت مع قناه</p>
                            </a>
                        </li>

                    </ul>
                </li>

                <li class="nav-item has-treeview <?php echo e(request()->routeIs('apiWork.*') ? ' menu-open' : null); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-anchor"></i>
                        <p>
                            مميزات اضافيه
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('apiWork.index')); ?>" class="nav-link <?php echo e(request()->routeIs('apiWork.*') ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p>استخراج Api من السسيتم</p>
                            </a>
                        </li>

                    </ul>
                </li>

                <li class="nav-item has-treeview <?php echo e(request()->routeIs(['get_status','post_status','get_subscription','post_subscription','get_employee','post_employee','get_chanel','post_chanel']) ? ' menu-open' : ''); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-reply"></i>
                        <p>
                            التقرير
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('get_status')); ?>" class="nav-link <?php echo e(request()->routeIs(['get_status','post_status']) ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> تقرير عن الحالات</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('get_subscription')); ?>" class="nav-link <?php echo e(request()->routeIs(['get_subscription','post_subscription']) ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> تقرير عن المشتركين</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('get_employee')); ?>" class="nav-link <?php echo e(request()->routeIs(['get_employee','post_employee']) ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> تقرير عن الموظفين</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('get_chanel')); ?>" class="nav-link <?php echo e(request()->routeIs(['get_chanel','post_chanel']) ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p> تقرير عن القنوات</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item has-treeview <?php echo e(request()->routeIs(['templates.*','uploadFile']) ? ' menu-open' : ''); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-anchor"></i>
                        <p>
                            الحملات التسوقيه
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('templates.index')); ?>" class="nav-link <?php echo e(request()->routeIs('templates.*') ? ' active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p>تسجيل template جديده</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('uploadFile')); ?>" class="nav-link <?php echo e(request()->routeIs('uploadFile') ? ' active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p>رفع البيانات</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item has-treeview <?php echo e(request()->routeIs('chanelEmployee.*') ? ' menu-open' : null); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-anchor"></i>
                        <p>
                            تعينات
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('chanelEmployee.index')); ?>" class="nav-link <?php echo e(request()->routeIs('chanelEmployee.*') ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p>تعينات قناه الي موظف</p>
                            </a>
                        </li>

                    </ul>
                </li>

                <li class="nav-item has-treeview <?php echo e(request()->routeIs('backup.*') ? ' menu-open' : null); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-anchor"></i>
                        <p>
                            نسخ احتياطي
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('backup')); ?>" class="nav-link <?php echo e(request()->routeIs('backup.*') ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p>نسخ احتياطي </p>
                            </a>
                        </li>

                    </ul>
                </li>


                <li class="nav-item has-treeview <?php echo e(request()->routeIs('explanations') ? ' menu-open' : null); ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-anchor"></i>
                        <p>
                            شروحات
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('explanations')); ?>" class="nav-link <?php echo e(request()->routeIs('explanations') ? 'active' : ''); ?>">
                                <i class="far fa-circle nav-icon"></i>
                                <p>شروحات </p>
                            </a>
                        </li>

                    </ul>
                </li>




                <br>

                <li class="nav-item">

                        <form method="POST" action="<?php echo e(route('logout')); ?>">
                            <?php echo csrf_field(); ?>

                            <?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.dropdown-link','data' => ['href' => route('logout'),'onclick' => 'event.preventDefault();
                                                this.closest(\'form\').submit();']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('dropdown-link'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['href' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('logout')),'onclick' => 'event.preventDefault();
                                                this.closest(\'form\').submit();']); ?>
                                <i class="nav-icon fas fa-sign-out-alt"></i>

                                <span style="font-size: 17px">  تسجيل الخروج</span>
                             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
                        </form>



                </li>


            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>
<?php /**PATH /home/istshartk/public_html/resources/views/admin/layouts/Sidebar.blade.php ENDPATH**/ ?>